---
- name: Stop, disable and mask sqgenaid service
  ansible.builtin.systemd:
    name: sqgenaid
    state: stopped
    enabled: false
    masked: true

- name: Rename files in /etc/squirro in a loop using ansible
  ansible.builtin.command: |
    mv /etc/squirro/{{ item }} /etc/squirro/{{ item }}.disabled
  changed_when: true
  ignore_errors: true # noqa: ignore-errors
  loop:
    - genai.ini
    - genai.d
